7201 York Ave S, Apt 214, Edina, MN 55435 -NL- **`ranjeet.nimbalkar@gmail.com`[EMAILS_EMAIL]** -NL- Mobile: **`+1 469 238 9297`[PHONES_PHONE]** -NL- LinkedIn -NL- **`RANJIT A NIMBALKAR`[NAME]** -NL- **`OBJECTIVE`[SUMMARY_HEADING]** -NL- To apply existing skills and acquire new skills in order to be a part of my -NL- organization's growth and be as better as possible on professional and -NL- personal level. -NL- **`COURSES`[SKILLS_HEADING]** -NL-  AWS Certified Solutions Architect - Associate completed on Feb 2019 on -NL- Linux Academy using Udemy. -NL-  Blockchain and Bitcoin Fundamentals completed on March 2019 on -NL- Udemy. -NL-  Build your own GPS tracking system-Raspberry Pi Zero W 2019 -NL- completed on April 2019 on Udemy -NL-  Ultimate AWS Certified Solutions Architect - Associate completed on -NL- March 2019 on Udemy. -NL-  List of courses enrolled https://wipro.udemy.com/user/ranjit-a- -NL- nimbalkar/ -NL- **`EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL-  Total 15+ years of professional IT experience in system design, -NL- **`SYNOPSIS`[SUMMARY_HEADING]** -NL- development of enterprise software and implementation of -NL- Client/Server and web based n-tier architecture systems utilizing object -NL- oriented and internet technologies with strong domain knowledge of -NL- Retail, Telecom and eLearning Products -NL-  Experience in cloud consultant/architect, provided technical leadership -NL- to varied size/complexity/order-value client engagements to develop -NL- leading-edge cloud computing technology solutions based on best -NL- practices in migration of IT landscape to cloud and cloud native -NL- development. -NL-  Knowledge in cloud engineering and governance, which includes -NL- knowledge of applicable processes, methodologies, standards, products -NL- and frameworks. -NL-  Experience in capturing and documenting architectural requirements -NL- and technical solutions . -NL-  Knowledge of cloud platforms – AWS, Azure, Google cloud, OpenShift -NL-  Experience with large-scale distributed systems and client-server -NL- architectures -NL-  Strong experience in Agile methodology with Agile/Scrum development -NL- process. -NL-  Excellent communication, interpersonal, analysis and organizational -NL- skills. -NL-  Experience on HTML5, CSS3, JSON, Ruby, Rails, Cassendra, Dojo, IBM -NL- Connections. -NL-  Done PoCs in Service Virtualization, Test Automation using CA iTKO Lisa -NL- product. -NL-  Done PoCs in Service Virtualization using iTKO Lisa, Virtualized HTTP/S, -NL- Webservices, -NL- JDBC, JAVA, EJB, RMI protocols. -NL- **`SKILLS`[SKILLS_HEADING]** -NL-  Understanding of cloud models – SaaS, IaaS, PaaS -NL-  Knowledge of cloud native architecture patterns – Microservices, -NL- Serverless, -NL-  Knowledge of cloud native databases -NL-  Knowledge of Application containerization – Docker, Kubernetes -NL-  Knowledge of DevOps: Fundamentals of CI/CD, Tools and frameworks -NL- including Maven, Jenkins, GIT -NL-  Knowledge of key emerging technology trends including AI/ML,block- -NL- chain, automation, and IoT -NL- Type -NL- Details -NL- IDE -NL- Eclipse, Netbeans, MyEclipse, EditPlus, TextPad, -NL- Notepad ++ -NL- Data Base -NL- Oracle, MS SQL, MySQL, No-SQL database like -NL- Mongo DB, Cassandra, SQLite -NL- Web Technologies -NL- JSP, J2EE, Struts, PHP, XML, XSLT, JavaScript and -NL- AJAX, Struts, Spring, Hibernate -NL- Full Stack Technologies MEAN stack, MongoDB Express.js Angular and -NL- Node, HTML5, CSS3 -NL- Web/Application Server Apache, Tomcat, WebSphere, Weblogic -NL- Testing Tools -NL- JUnit, JMeter, Monkeytalk -NL- Configuration Tools -NL- Microsoft VSS,SVN,CVS, GIT, Bitbucket, Stash -NL- IT Service Management JIRA, Atlassisn Confluance, SeriveNow BMC -NL- Tools -NL- Remedy -NL- **`WORK`[WORK_EXPERIENCE_HEADING]** -NL- ARCHITECT, WIPRO TECHONOLOGY, USA -NL- **`HISTORY`[WORK_EXPERIENCE_HEADING]** -NL- Jul 2018 – Till date -NL- MANAGER PROJECT, COGNIZANT TECHONOLOGY SOLUTIONS, USA -NL- Feb 2017 – Jul 2018 -NL- TECHNICAL ARCHITECT, TECH MAHINDRA, USA -NL- Aug 2011 – Feb 2017 -NL- SENIOR SOFTWARE ENGINEER, ZENSAR TECHNOLOGIES, USA -NL- Nov 2007 – Aug 2011 -NL- SENIOR SOFTWARE ENGINEER, HURIX SYSTEMS PVT LTD, INDIA -NL- Oct 2005 – Nov 2007 -NL- SENIOR DEVELOPER, MAGNET TECHNOLOGIES PVT LTD, INDIA -NL- Aug 2003 – Oct 2005 -NL- **`WORK EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- **`Wipro Techonologies`[EMPLOYER_COMPANY_NAME]**, USA -NL- July -NL- 2018 to Till Date -NL- Page | 2 -NL- Ranjit -NL- **`Technical Architect`[EMPLOYER_ROLE]** -NL- Client: Best Buy, MN -NL- As IT Operations Lead and **`Technical Architect`[EMPLOYER_ROLE]** my roles & -NL- responsibilities are -- -NL- Architect the overall solution to deliver outcomes expected by the -NL- customer. -NL- Prepare functional, detailed design and tech specification documents. -NL- Understand the customer requirements and suggest a right product / -NL- solution which can meet the requirement. -NL- Work with Integration Architect to define Integration Design and Security -NL- Design for the Web Services and Enterprise components using Layer 7. -NL- Design and build orchestration layer for the solution components. -NL- Mentor and train project team members on the Solution details for a -NL- smoother execution. -NL- Ensure quality deliverables. -NL- Participate in Architecture Reviews with customer Architecture Review -NL- Board. -NL- Leading and managing the SRE ASM team of software and systems -NL- engineers supporting all systems and supporting millions of online -NL- customers worldwide, being directly responsible for achieving very high -NL- uptime by monitoring and maintaining BestBuy.com's health at web-scale, -NL- to 99.95% reliability. -NL- Directly interface with front-end and back-end developers within -NL- Operations and Engineering disciplines as part of a Dev-Ops style team, -NL- responding not only to in-the-moment indications of potential problems but -NL- also making recommendations to improve resiliency and performance -NL- across all tiers of our applications. -NL- Work directly with various technical operations groups across the greater -NL- Best Buy Enterprise in order to sustain high-availability of various IT -NL- services consumed by internal applications. In addition to technical -NL- troubleshooting and incident management, contribute to maintaining and -NL- developing methods of visualizing data to support quick identification and -NL- diagnosis of performance data collected via Best Buy's vast toolset. -NL- Handling customer complaints or any major incidents in a timely manner. -NL- Leading by example, mentoring the team and establish credibility through -NL- the quality of team's technical execution -NL- Directly leading a large geographically distributed team of engineers -NL- working on key services used by hundreds of millions of people worldwide. -NL- Ensuring alignment and coordination with your Software Engineering -NL- leadership peers. -NL- Collaborating with various internal teams to provide a high quality -NL- customer experience. -NL- Communicating effectively and present team progress to upper -NL- management. -NL- Delivering automation to prevent problem recurrence and automate -NL- response to all non-exceptional service conditions. -NL- Handling on-call rotations across continents, using a follow-the-sun model. -NL- Continually evaluate and adopt the latest industry technologies to optimize -NL- costs and streamline processes. -NL- Working to create culture that supports innovation and creativity while -NL- delivering high output in a predictable and reliable way. -NL- Working towards to keep the team motivated to go beyond the expected in -NL- execution and thought leadership. -NL- Page | 3 -NL- Ranjit -NL- Following continuous process of defining, implementing, managing, and -NL- improving operations processes. -NL- Managing teams work in automating and developing solutions to reduce -NL- manual effort. -NL- Working with global team environment, collaborating effectively across -NL- multiple functional teams. -NL- Directly lead a large geographically distributed team of engineers working -NL- on key services used by hundreds of millions of people worldwide. -NL- Excellent people skills and ability to build customer relationships. -NL- Experience in developing scripts to automate software deployments and -NL- installations. -NL- Excellent experience of ticket support systems such as Jira, Remedy, -NL- ServiceNow, etc. -NL- Experience in application servers such as WebSphere, JBoss, Apache -NL- Database servers such as Oracle, MySQL -NL- Excellent experience in real Time Operational system such as PagerDuty -NL- Excellent experience in systems diagnostic, real time alerting and -NL- debugging tools such as Blue Triangle, IBM TeaLeaf, Catch Point, Splunk, -NL- Grafana, Topaz, New Relic, Kibana, BSM etc. -NL- **`Cognizant Technologies Solutions`[EMPLOYER_COMPANY_NAME]**, USA -NL- Feb -NL- 2017 to July 2018 -NL- **`Technical Manager Projects`[EMPLOYER_ROLE]** -NL- Client: Newell Brands, NJ (Yankee Candle, MA) -NL- Orchestrator -NL- Orchestrator is developed to achieve fulfilment processes for label -NL- approval, printing, shipping process, and inventory synchronization. -NL- Integrated with E-Commerce, WMS, Printers, Scanners, Shipping carriers. -NL- Implemented the scanner capability to read the bar code and input to the -NL- Orchestrator screen to match order and product. -NL- Orchestrator is standalone platform that has batching, label approval, -NL- rejection, resubmission, orderfiltering, sorting, label printing, packaging -NL- slip printing, shipment label printing capability along with role based -NL- security to access functionality . -NL- Orchestrator developed using MEAN stack, where Mongo DB is No-SQL -NL- database. It's the most popular development platform today. JSON, AJAX, -NL- RESTful Services all standards within framework. -NL- Used Bitbucket as version control repository service. Hosted application on -NL- AWS. Final labels were saved on AWS S3 buckets. -NL- In Store Personalized Candles -NL- All the retail stores of Yankee Candle (550+ stores) were using this -NL- application for in store experience. This is customer facing application used -NL- in all Yankee Candle Stores to generate -NL- label and will be printed, applied in stores itself. -NL- Also developed mobile version of this application to achieve - -NL- Design and purchase on home computer or mobile device pick up in store -NL- Design online, send to store, print and pay at store -NL- Email image to store prior to shopping trip and design & pay in store -NL- Allfinal labels were saved in AWS S3 buckets. -NL- Page | 4 -NL- Ranjit -NL- It has admin console to maintain stores, library images etc. -NL- Environment: Java1.6, Restful Webservices Services, JQuery, JSON, AJAX , -NL- HTML5, CSS5, Java Script, log4j, Apache Tomcat, SVN and Eclipse, Maven, -NL- Linux, Spring Boot, Hibernate, Silverpop, AWS S3 Bucket, No-SQL database -NL- MongoDB, Microservices. -NL- As an individual contributor and lead in this team I am responsible for -- -NL-  I am responsible for delivering user stories along with coding -NL- assigned to me on time -NL-  Involved in requirements gathering with all teams across -NL- geographical locations and design for adding new functionalities. -NL-  Communicate with different client teams who use our API -NL-  Identify changes to be done and create user stories -NL-  Estimation, planning, development and unit testing, Production -NL- support -NL-  Assignments and Mentoring team members on technical front. -NL-  Coding, unit testing, sprint planning, responsible for overall sprint -NL- delivery on time -NL-  Planning and support in releases. -NL-  Understanding requirements, planning sprint with product owner. -NL-  Assignments within team, helping team completing spring on time. -NL-  Communicate with business and testing teams. -NL-  Development, unit testing of own tasks. -NL-  Responsible for overall delivery of sprint -NL- **`Tech Mahindra Americas Inc.`[EMPLOYER_COMPANY_NAME]** USA -NL- Aug 2011 to Feb 17 -NL- **`Technical Architect`[EMPLOYER_ROLE]** -NL- Client: AT&T, Dallas, TX -NL- tSpace (IBM Connections and Atlassion Confluence) -NL- tSpace is AT&T's internal social business platform for social media, social -NL- networking, and social collaboration, used by employees and authorized -NL- contractors world-wide. If you've used internet tools like Facebook, -NL- Wikipedia, or blogs you're already familiar with the idea behind tSpace. -NL- tSpace was created to allow easy and time-efficient networking, -NL- collaboration, and sharing at an enterprise level. tSpace offers an -NL- integrated suite of enterprise social software applications including Wikis, -NL- Blogs, Social Bookmarks, Communities, Discussion Forums, Activities, Files, -NL- News, and Facebook-like Profiles. Here we have used Cassandra as No-SQL -NL- database. -NL- Mark The Spot / MTS Canada -NL- Effort is automating a process for iOS, Android, Windows AT&T users to be -NL- able to submit issues they experience with the AT&T cell network with the -NL- network team. It benefits the wireless network business as it helps AT&T to -NL- know where improvements are needed. -NL- Page | 5 -NL- Ranjit -NL- All the notifications sent to client devices using Push Notifications on Apple- -NL- Windows-Android devices. -NL- Implemented server side code in Java/JEE using eclipse on Weblogic server -NL- 12c to send Push Notifications. Client devices used to invoke Rest -NL- webservices deployed on server side to capture read status of Push -NL- Notifications. Used Microservices. -NL- Woman’s of Atlanta: -NL- This project is built using IBM Worklight v6. This has two components, one -NL- is at client side and other is deployed in Tomcat Server. Both were -NL- developed using IBM Worklight. -NL- Client module is type of Hybrid app developed using PhoneGap, JQuery, -NL- JQuery mobile, HTML5, CSS3 etc. Client send request to server module and -NL- in turn it returns the data in the format of JSON -NL- It also has Administrative component for Admin users called WoA Admin -NL- Dashboard which is also developed using IBM Worklight, JQuery, JQuery -NL- mobile, HTML5, CSS3 etc. -NL- Responsibilities: -NL- As an individual contributor and lead in this team I am responsible for -- -NL-  I am responsible for delivering user stories along with coding -NL- assigned to me on time -NL-  Involved in requirements gathering with all teams across -NL- geographical locations and design for adding new functionalities. -NL-  Designed dynamic user interfaces using AJAX and JQuery to -NL- retrieve data without reloading the page and send asynchronous -NL- request. Used JSON for data transfer between the server and the -NL- web application. -NL-  Extensively writing unit test cases using JUnit framework. -NL-  Created multi-module Maven project -NL-  Reviewed the code and provided the review comments to the -NL- team. -NL-  Involved in coordinating the work between offshore team & QA and -NL- delivering it to the client. -NL-  Provide technical directions to the team to resolve the complex -NL- technical issues. -NL-  Involved in taking the architectural decisions which meets industry -NL- standards. -NL-  Involved in performance testing -NL-  Understanding the requirements, designed and developed the -NL- application as per requirements -NL-  Prepared the design document and explained theflow to Client -NL- Architect team to get approval. -NL- Environment: Java1.6, Restful Webservices Services, JQuery, JSON, AJAX , -NL- HTML, CSS, Java Script, log4j, SQL Server, Apache Tomcat, Jetty, SVN and -NL- Eclipse, JDBC, JSP, Servlet, Maven, Unix, Linux, WebSphere Application -NL- Server, Cassendra as NoSQL database, Microservices. -NL- Page | 6 -NL- Ranjit -NL- **`ZenSar Technologies`[EMPLOYER_COMPANY_NAME]** -NL- Nov 2007 -NL- to Aug 2011 -NL- **`Senior software Engineer `[EMPLOYER_ROLE]**-NL- Client: Cisco Systems Inc., San Jose, CA -NL- Customer and Commerce IT (CCIT) -NL- Customer and Commerce IT (CCIT) applications are used for maintaining -NL- the service contracts & Cisco’s service sales business. CSCC is a critical -NL- suite of applications necessary for supporting Cisco’s service sales -NL- business. -NL- Service Contract Center is a web-based application that allows creating & -NL- managing quotes and contracts. This is to satisfy business needs of clients -NL- viz. price information, contract terms, quotes etc. so that customers can -NL- have— -NL-  Round-the-clock access of all information needed to track service -NL- contracts -NL-  Enable partners to proactively manage, renew, add, change and -NL- upgrade service or contracts. -NL-  Facilitate the exchange information between Cisco and its Partners. -NL- Responsibility : -NL- As an individual contributor in this team I am responsible for -- -NL-  I am responsible for delivering modules along with coding assigned -NL- to me on time -NL-  Providing technical assistance to development and implementation -NL- team. -NL-  Consulting work with cross functional team members of other -NL- vendors. -NL-  Checking performance of application using GOMEZ, IT CAM to -NL- analyze performance -NL-  Analyzing change requests tofind the root cause & provide -NL- suitable solution. -NL-  Prioritization, analysis of scope during releases. -NL-  Understanding the business requirements and developing technical -NL- solution documents -NL-  Designed and developed dynamic and browser compatible UI -NL- using JSP, html, JavaScript, GWT, Ajax, JSTL and CSS -NL-  Used different JQuery actions and methods on the html elements to -NL- retrieve and verify data appropriately. -NL-  Involved infixing bugs and implementing change requests -NL-  Developed and executed test cases using JUnit -NL-  Implemented and consumed Web Services using REST APIs -NL-  Designed and developed dynamic and browser compatible UI. -NL- Environment: Java1.6, Restful Webservices Services, JQuery, JSON, AJAX , -NL- HTML, CSS, Java Script, log4j, SQL Server, Apache Tomcat, Jetty, SVN and -NL- Eclipse, JDBC, JSP, Servlet, Maven, Unix, Linux, WebSphere Application -NL- Server, -NL- **`Hurix Systems Pvt Ltd,`[EMPLOYER_COMPANY_NAME]** Mumbai, India -NL- Oct -NL- Page | 7 -NL- Ranjit -NL- 2005 to Nov 2007 -NL- **`Senior software Engineer `[EMPLOYER_ROLE]**-NL- Altis Avantis (Houghton Mifflin) -NL- Learning Management System (LMS): Worked on a project for schools in -NL- US. LMS supports different products for e.g. Reading Intervention, Math -NL- Intervention etc. One product tracks entire progress path of a student who -NL- is enrolled for that product. LMS supports creation of a user, class, group -NL- etc. and adding or removing students from it. A student has to have a -NL- license to study in a class, for this to support, LMS has Purchase, Purchaser -NL- and License modules. -NL- Cathay Pacific -NL- Cathay Pacific international airline's eLearning modules will enable airlines -NL- to train their personnel in areas such as mandatory safety and emergency -NL- procedures, aircraft performance, pre-flight checks, cabin crew induction, -NL- operational procedures for ground crew, etc. These courses are relevant to -NL- all airlines. Apart from helping them address their personnel requirements, -NL- these modules will also save user airlines a lot of time and money, which -NL- will ultimately impact their bottom lines. -NL- Responsibility : -NL-  Designing, developing various application modules. -NL-  Development of business layer Java classes. -NL-  Testing (JUnit) and bugfixing of modules including creating Test -NL- cases. -NL-  Providing support for acceptance period. -NL-  Performance optimization. -NL-  Coding various modules. -NL-  Reviewing code and assisting other developers. -NL-  Understanding the requirements. Designed POC’s to identify the -NL- technologies that can be used in this project. -NL-  Involved in parsing input XMLfiles using SAX and DOM -NL-  Extensive use of HTML, XHTML, CSS for design and styling of web -NL- pages. -NL-  Implementation of AJAX, JSON, JQuery for create interactive Web -NL- Applications -NL-  Involved in developing and modifying UNIX shell scripts using VI -NL- editor -NL- Environment: Linux, Java, J2EE, XML, Oracle, Websphere Application -NL- Server -NL- **`MagNet Technologies Pvt Ltd`[EMPLOYER_COMPANY_NAME]**, Mumbai, India -NL- Aug 2003 to Oct 2005 -NL- **`Senior Developer `[EMPLOYER_ROLE]**-NL- Worked on Several Projects as mentioned below: -NL- Page | 8 -NL- Ranjit -NL- Evergreen's Hotel Reservation, Meeting, Event and Menu system, Hotel -NL- Booking System, Rush, Meeting Scheduler System -NL- Environment: PHP, MySql, Smarty, JQuery, AJAX , HTML, CSS, Java Script, -NL- Apache Tomcat, Linux -NL- Responsibility : -NL-  Developed UI using PHP, Smarty, HTML, CSS and Java script. -NL-  Involved in application deployment. -NL-  Prepared test cases and involved in Unit and integration Testing -NL-  Developed UI using JSP, HTML, CSS and Java script -NL- Page | 9 -NL- Ranjit -NL- 